Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network61.2.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
61.2.32.0
Broadcast address
61.2.63.255
First usable
61.2.32.1
Last usable
61.2.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 3D022000 · Integer 1023549440 to 1023557631
Reverse DNS zones
32.2.61.in-addr.arpa
33.2.61.in-addr.arpa
34.2.61.in-addr.arpa
35.2.61.in-addr.arpa
36.2.61.in-addr.arpa
37.2.61.in-addr.arpa
38.2.61.in-addr.arpa
39.2.61.in-addr.arpa
40.2.61.in-addr.arpa
41.2.61.in-addr.arpa
42.2.61.in-addr.arpa
43.2.61.in-addr.arpa
44.2.61.in-addr.arpa
45.2.61.in-addr.arpa
46.2.61.in-addr.arpa
47.2.61.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111101.00000010.00100000.0000000061.2.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00111101.00000010.00100000.0000000061.2.32.0
Broadcast00111101.00000010.00111111.1111111161.2.63.255
Split into smaller subnets/26

61.2.32.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
161.2.32.0/2661.2.32.1 to 61.2.32.6261.2.32.6362
261.2.32.64/2661.2.32.65 to 61.2.32.12661.2.32.12762
361.2.32.128/2661.2.32.129 to 61.2.32.19061.2.32.19162
461.2.32.192/2661.2.32.193 to 61.2.32.25461.2.32.25562
561.2.33.0/2661.2.33.1 to 61.2.33.6261.2.33.6362
661.2.33.64/2661.2.33.65 to 61.2.33.12661.2.33.12762
761.2.33.128/2661.2.33.129 to 61.2.33.19061.2.33.19162
861.2.33.192/2661.2.33.193 to 61.2.33.25461.2.33.25562
961.2.34.0/2661.2.34.1 to 61.2.34.6261.2.34.6362
1061.2.34.64/2661.2.34.65 to 61.2.34.12661.2.34.12762
1161.2.34.128/2661.2.34.129 to 61.2.34.19061.2.34.19162
1261.2.34.192/2661.2.34.193 to 61.2.34.25461.2.34.25562
1361.2.35.0/2661.2.35.1 to 61.2.35.6261.2.35.6362
1461.2.35.64/2661.2.35.65 to 61.2.35.12661.2.35.12762
1561.2.35.128/2661.2.35.129 to 61.2.35.19061.2.35.19162
1661.2.35.192/2661.2.35.193 to 61.2.35.25461.2.35.25562
1761.2.36.0/2661.2.36.1 to 61.2.36.6261.2.36.6362
1861.2.36.64/2661.2.36.65 to 61.2.36.12661.2.36.12762
1961.2.36.128/2661.2.36.129 to 61.2.36.19061.2.36.19162
2061.2.36.192/2661.2.36.193 to 61.2.36.25461.2.36.25562
2161.2.37.0/2661.2.37.1 to 61.2.37.6261.2.37.6362
2261.2.37.64/2661.2.37.65 to 61.2.37.12661.2.37.12762
2361.2.37.128/2661.2.37.129 to 61.2.37.19061.2.37.19162
2461.2.37.192/2661.2.37.193 to 61.2.37.25461.2.37.25562
2561.2.38.0/2661.2.38.1 to 61.2.38.6261.2.38.6362
2661.2.38.64/2661.2.38.65 to 61.2.38.12661.2.38.12762
2761.2.38.128/2661.2.38.129 to 61.2.38.19061.2.38.19162
2861.2.38.192/2661.2.38.193 to 61.2.38.25461.2.38.25562
2961.2.39.0/2661.2.39.1 to 61.2.39.6261.2.39.6362
3061.2.39.64/2661.2.39.65 to 61.2.39.12661.2.39.12762
3161.2.39.128/2661.2.39.129 to 61.2.39.19061.2.39.19162
3261.2.39.192/2661.2.39.193 to 61.2.39.25461.2.39.25562
3361.2.40.0/2661.2.40.1 to 61.2.40.6261.2.40.6362
3461.2.40.64/2661.2.40.65 to 61.2.40.12661.2.40.12762
3561.2.40.128/2661.2.40.129 to 61.2.40.19061.2.40.19162
3661.2.40.192/2661.2.40.193 to 61.2.40.25461.2.40.25562
3761.2.41.0/2661.2.41.1 to 61.2.41.6261.2.41.6362
3861.2.41.64/2661.2.41.65 to 61.2.41.12661.2.41.12762
3961.2.41.128/2661.2.41.129 to 61.2.41.19061.2.41.19162
4061.2.41.192/2661.2.41.193 to 61.2.41.25461.2.41.25562
4161.2.42.0/2661.2.42.1 to 61.2.42.6261.2.42.6362
4261.2.42.64/2661.2.42.65 to 61.2.42.12661.2.42.12762
4361.2.42.128/2661.2.42.129 to 61.2.42.19061.2.42.19162
4461.2.42.192/2661.2.42.193 to 61.2.42.25461.2.42.25562
4561.2.43.0/2661.2.43.1 to 61.2.43.6261.2.43.6362
4661.2.43.64/2661.2.43.65 to 61.2.43.12661.2.43.12762
4761.2.43.128/2661.2.43.129 to 61.2.43.19061.2.43.19162
4861.2.43.192/2661.2.43.193 to 61.2.43.25461.2.43.25562
4961.2.44.0/2661.2.44.1 to 61.2.44.6261.2.44.6362
5061.2.44.64/2661.2.44.65 to 61.2.44.12661.2.44.12762
5161.2.44.128/2661.2.44.129 to 61.2.44.19061.2.44.19162
5261.2.44.192/2661.2.44.193 to 61.2.44.25461.2.44.25562
5361.2.45.0/2661.2.45.1 to 61.2.45.6261.2.45.6362
5461.2.45.64/2661.2.45.65 to 61.2.45.12661.2.45.12762
5561.2.45.128/2661.2.45.129 to 61.2.45.19061.2.45.19162
5661.2.45.192/2661.2.45.193 to 61.2.45.25461.2.45.25562
5761.2.46.0/2661.2.46.1 to 61.2.46.6261.2.46.6362
5861.2.46.64/2661.2.46.65 to 61.2.46.12661.2.46.12762
5961.2.46.128/2661.2.46.129 to 61.2.46.19061.2.46.19162
6061.2.46.192/2661.2.46.193 to 61.2.46.25461.2.46.25562
6161.2.47.0/2661.2.47.1 to 61.2.47.6261.2.47.6362
6261.2.47.64/2661.2.47.65 to 61.2.47.12661.2.47.12762
6361.2.47.128/2661.2.47.129 to 61.2.47.19061.2.47.19162
6461.2.47.192/2661.2.47.193 to 61.2.47.25461.2.47.25562
6561.2.48.0/2661.2.48.1 to 61.2.48.6261.2.48.6362
6661.2.48.64/2661.2.48.65 to 61.2.48.12661.2.48.12762
6761.2.48.128/2661.2.48.129 to 61.2.48.19061.2.48.19162
6861.2.48.192/2661.2.48.193 to 61.2.48.25461.2.48.25562
6961.2.49.0/2661.2.49.1 to 61.2.49.6261.2.49.6362
7061.2.49.64/2661.2.49.65 to 61.2.49.12661.2.49.12762
7161.2.49.128/2661.2.49.129 to 61.2.49.19061.2.49.19162
7261.2.49.192/2661.2.49.193 to 61.2.49.25461.2.49.25562
7361.2.50.0/2661.2.50.1 to 61.2.50.6261.2.50.6362
7461.2.50.64/2661.2.50.65 to 61.2.50.12661.2.50.12762
7561.2.50.128/2661.2.50.129 to 61.2.50.19061.2.50.19162
7661.2.50.192/2661.2.50.193 to 61.2.50.25461.2.50.25562
7761.2.51.0/2661.2.51.1 to 61.2.51.6261.2.51.6362
7861.2.51.64/2661.2.51.65 to 61.2.51.12661.2.51.12762
7961.2.51.128/2661.2.51.129 to 61.2.51.19061.2.51.19162
8061.2.51.192/2661.2.51.193 to 61.2.51.25461.2.51.25562
8161.2.52.0/2661.2.52.1 to 61.2.52.6261.2.52.6362
8261.2.52.64/2661.2.52.65 to 61.2.52.12661.2.52.12762
8361.2.52.128/2661.2.52.129 to 61.2.52.19061.2.52.19162
8461.2.52.192/2661.2.52.193 to 61.2.52.25461.2.52.25562
8561.2.53.0/2661.2.53.1 to 61.2.53.6261.2.53.6362
8661.2.53.64/2661.2.53.65 to 61.2.53.12661.2.53.12762
8761.2.53.128/2661.2.53.129 to 61.2.53.19061.2.53.19162
8861.2.53.192/2661.2.53.193 to 61.2.53.25461.2.53.25562
8961.2.54.0/2661.2.54.1 to 61.2.54.6261.2.54.6362
9061.2.54.64/2661.2.54.65 to 61.2.54.12661.2.54.12762
9161.2.54.128/2661.2.54.129 to 61.2.54.19061.2.54.19162
9261.2.54.192/2661.2.54.193 to 61.2.54.25461.2.54.25562
9361.2.55.0/2661.2.55.1 to 61.2.55.6261.2.55.6362
9461.2.55.64/2661.2.55.65 to 61.2.55.12661.2.55.12762
9561.2.55.128/2661.2.55.129 to 61.2.55.19061.2.55.19162
9661.2.55.192/2661.2.55.193 to 61.2.55.25461.2.55.25562
9761.2.56.0/2661.2.56.1 to 61.2.56.6261.2.56.6362
9861.2.56.64/2661.2.56.65 to 61.2.56.12661.2.56.12762
9961.2.56.128/2661.2.56.129 to 61.2.56.19061.2.56.19162
10061.2.56.192/2661.2.56.193 to 61.2.56.25461.2.56.25562
10161.2.57.0/2661.2.57.1 to 61.2.57.6261.2.57.6362
10261.2.57.64/2661.2.57.65 to 61.2.57.12661.2.57.12762
10361.2.57.128/2661.2.57.129 to 61.2.57.19061.2.57.19162
10461.2.57.192/2661.2.57.193 to 61.2.57.25461.2.57.25562
10561.2.58.0/2661.2.58.1 to 61.2.58.6261.2.58.6362
10661.2.58.64/2661.2.58.65 to 61.2.58.12661.2.58.12762
10761.2.58.128/2661.2.58.129 to 61.2.58.19061.2.58.19162
10861.2.58.192/2661.2.58.193 to 61.2.58.25461.2.58.25562
10961.2.59.0/2661.2.59.1 to 61.2.59.6261.2.59.6362
11061.2.59.64/2661.2.59.65 to 61.2.59.12661.2.59.12762
11161.2.59.128/2661.2.59.129 to 61.2.59.19061.2.59.19162
11261.2.59.192/2661.2.59.193 to 61.2.59.25461.2.59.25562
11361.2.60.0/2661.2.60.1 to 61.2.60.6261.2.60.6362
11461.2.60.64/2661.2.60.65 to 61.2.60.12661.2.60.12762
11561.2.60.128/2661.2.60.129 to 61.2.60.19061.2.60.19162
11661.2.60.192/2661.2.60.193 to 61.2.60.25461.2.60.25562
11761.2.61.0/2661.2.61.1 to 61.2.61.6261.2.61.6362
11861.2.61.64/2661.2.61.65 to 61.2.61.12661.2.61.12762
11961.2.61.128/2661.2.61.129 to 61.2.61.19061.2.61.19162
12061.2.61.192/2661.2.61.193 to 61.2.61.25461.2.61.25562
12161.2.62.0/2661.2.62.1 to 61.2.62.6261.2.62.6362
12261.2.62.64/2661.2.62.65 to 61.2.62.12661.2.62.12762
12361.2.62.128/2661.2.62.129 to 61.2.62.19061.2.62.19162
12461.2.62.192/2661.2.62.193 to 61.2.62.25461.2.62.25562
12561.2.63.0/2661.2.63.1 to 61.2.63.6261.2.63.6362
12661.2.63.64/2661.2.63.65 to 61.2.63.12661.2.63.12762
12761.2.63.128/2661.2.63.129 to 61.2.63.19061.2.63.19162
12861.2.63.192/2661.2.63.193 to 61.2.63.25461.2.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses